Полезная информация

Пользователи не любят читать документацию. Станьте оригинальным, будьте не как все. Ознакомьтесь с нашей базой знаний.

Bugzilla » Bugzilla 3.6.2 статусы REMIND, Later » 30-11-2010 16:37:08

Спасибо. С удалением резолюций разобрался. Насчет whinedays - не совсем то. Это ведь только для новых багов и это уже настроено. по ссылке - вобще не то. )

Bugzilla » Bugzilla 3.6.2 статусы REMIND, Later » 30-11-2010 13:09:04

Здравствуйте. Вопрос в следующем. Имеем  Bugzilla3.6.2 обновленную с 2.20 через CVS. При выставлении багу статуса RESOLVED можно выставить для него резолюции REMIND или LATER, чем очень успешно пользуются разработчики программ и в последствии так же успешно забывают об этих багах. Можно ли сделать, чтобы при выборе REMIND или LATER необходимо было выбрать определенную дату - до какого числа этот баг будет LATER (REMIND) , с постоянным напоминанием. Или вобще убрать эти "позже". https://bugzilla.mozilla.org/show_bug.cgi?id=13534 - тут решалась подобная проблема, но в моей версии 3.6.2 я не нашел этих файлов, куда нужно вносить изменения.

Bugzilla » Самопроизвольное дублирование багов. » 18-12-2009 11:51:01

Ну вот и хорошо.. А то уж я было подумал, что совсем старею ..... )))) Огромное спасибо!

Bugzilla » Самопроизвольное дублирование багов. » 18-12-2009 10:28:50

Спасибо за Ваше терпение ))) Да , я уже многое прочитал по этому поводу )). Кстати с 5.8.8.820 проблема разрешилась после установки русских шаблонов, потом правда появилась ошибка, что не настроена локальная зона, хотя все везде было настроено. Но ее я тоже решил правкой Util.pm . Так что теперь все работает. Еще раз большое спасибо за наставление на путь истинный ))). Ну и напоследок: Вы писали

SnowyOwl пишет:

# В [bugzilla]2.20 запустить contrib/recode.pl и явно указать кодировку.
# Там же включить параметр utf8, прогнать checksetup.pl, проверить результат.

В 2.20 нет contrib/recode.pl и я не нашел где в 2.20 включается параметр utf8. Но это уже не важно, интересно только для общего развития ))

Bugzilla » Самопроизвольное дублирование багов. » 17-12-2009 18:06:38

Удалось наконец обновить багзиллу до 3.0. - проблема оказалась в базе, после исправления всех недостатков все прошло на ура, там же перекодировал базу в utf8. Все работает и корректно отображается. При обновлении до 3.4.4. пришлось обновить и перл до 5.8.8.820.  После установки всех модулей и успешного завершения checksetup.pl в багзиллу я захожу , sanitycheck тоже отрабатывает без ошибок. Но при попытке найти к.л. баг - выдает ошибку - Не удается использовать неопределенное значение как ссылку на массив в строке TieRegistry.pm line 720 . runtests.pl  успешен.

Bugzilla » Самопроизвольное дублирование багов. » 16-12-2009 11:02:28

1. Версия ActivePerl 5.8.8.820, пробовал обновлять до 5.8.8.822 - тоже самое, 5.8.8.826 - ругался на отсутствие OCI.dll ( зачем  мне оракловская длл я так и не понял...)
2. * This is Bugzilla 3.4.4 on perl 5.8.8
* Running on WinXP/.Net Build 2600 (Service Pack 3)

Checking perl modules...
Checking for              CGI.pm (v3.21)   ok: found v3.23
Checking for          Digest-SHA (any)     ok: found v5.47
Checking for            TimeDate (v2.21)   ok: found v2.22
Checking for            DateTime (v0.28)   ok: found v0.50
Checking for   DateTime-TimeZone (v0.79)   ok: found v0.96
Checking for                 DBI (v1.41)   ok: found v1.52
Checking for    Template-Toolkit (v2.22)   ok: found v2.22
Checking for          Email-Send (v2.16)   ok: found v2.198
Checking for          Email-MIME (v1.861)  ok: found v1.863
Checking for Email-MIME-Encodings (v1.313)  ok: found v1.313
Checking for Email-MIME-Modifier (v1.442)  ok: found v1.444
Checking for                 URI (any)     ok: found v1.

Bugzilla » Самопроизвольное дублирование багов. » 15-12-2009 16:22:36

Продолжение )). в кратце. обновление до 3ки ни к чему ни привело. результаты были те же . В общем обновился я до 3.4.4.  Багзилла запускается  . checksetup.pl никаких ошибок и предупреждений не выдает. Но на этом все. Зайти я в багзиллу не могу ( пароль как советовали менял) . При попытке залогиниться теперь ругается на модуль perl - TieRegistry.pm line 720 . При попытке найти баг по номеру или по другим ссылкам выдает следующее :
invalid bug attribute Param at Bugzilla/Bug.pm line 1108
    Bugzilla::Bug::AUTOLOAD('useqacontact') called at Bugzilla/Bug.pm line 72
    Bugzilla::Bug::fields() called at Bugzilla/Bug.pm line 84
    require Bugzilla/Bug.pm called at Bugzilla/BugMail.pm line 39
    Bugzilla::BugMail::BEGIN() called at Bugzilla/Bug.pm line 0
    eval {...} called at Bugzilla/Bug.pm line 0
    require Bugzilla/BugMail.pm called at C:/Program Files/Apache Group/Apache2/htdocs/createaccount.cgi line 35
    main::BEGIN() called at Bugzilla/Bug.pm line 0
    eval {...} called at Bugzilla/Bug.pm line 0
Co

Bugzilla » Самопроизвольное дублирование багов. » 14-12-2009 11:40:59

SnowyOwl пишет:

sergey52 пишет:

Спасибо за советы, буду переходить на 3.4.4.  В связи с этим вопрос - можно ли мне с 2.20 сразу обновиться до 3.4.4 или придется обновлять сначала до каких нибудь промежуточных версий?

Ответ зависит от (а) есть ли в данных кириллица, (б) был ли в [bugzilla]2.20 включен параметр utf8 и (в) будет ли это обновление поверх или попытка перетащить все в рядом стоящую БД черех экспорт XML.

Если (а) и (б) ответы положительные, можно пробовать поверх. В случае (в) надо сначала обновить поверх до троечки, потом экспортировать, иначе приложения не мигрируют.

Спасибо за ответ. В данных кириллица есть. формат был Latin1. параметр utf8 включен не был. Буду пробовать обновиться сначала до тройки.

14-12-2009 11:47:06
Большое спасибо за совет.  Пробовал обновиться сразу до 3.4.4 с помощью CVS. Перекодировку с contrib/recode.pl сделал - практически все перекодировалось нормально. Только потом checksetup.pl стал ругаться на таблицу attachments. И не

Bugzilla » Самопроизвольное дублирование багов. » 25-11-2009 11:16:45

Спасибо за советы, буду переходить на 3.4.4.  В связи с этим вопрос - можно ли мне с 2.20 сразу обновиться до 3.4.4 или придется обновлять сначала до каких нибудь промежуточных версий?

Bugzilla » Самопроизвольное дублирование багов. » 24-11-2009 14:27:48

Здравствуйте. Версия Багзиллы 2.20 под Windows . С недавних пор появилась такая проблема: При отправлении бага происходит его дублирование , т.е. оформляем баг, жмем отправить- образуется два одинаковых бага с разными номерами. Происходит это у нескольких пользователей. Браузеры используются разные : Файрфокс, IE, Опера.  Хочу обновить версию до 3.5.2 - это поможет решить проблему? Если да, то как это лучше сделать.?

Board footer

Powered by PunBB
Modified by Mozilla Russia
Copyright © 2004–2011 Mozilla Russia
Язык отображения форума: [Русский] [English]